moeoAdditiveEpsilonBinaryMetric(3)

NAME
moeoAdditiveEpsilonBinaryMetric - Additive epsilon binary metric allowing to compare two objective vectors as proposed in Zitzler E., Thiele L., Laumanns M., Fonseca C.

SYNOPSIS

#include <moeoAdditiveEpsilonBinaryMetric.h>

Inherits moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double >.

  Public Member Functions
double operator() (const ObjectiveVector &_o1, const ObjectiveVector &_o2)
Returns the minimal distance by which the objective vector _o1 must be translated in all objectives so that it weakly dominates the objective vector _o2.

  Private Member Functions
double epsilon (const ObjectiveVector &_o1, const ObjectiveVector &_o2, const unsigned int _obj)
Returns the epsilon value by which the objective vector _o1 must be translated in the objective _obj so that it dominates the objective vector _o2.

Detailed Description

  template<class ObjectiveVector> class moeoAdditiveEpsilonBinaryMetric< ObjectiveVector >
Additive epsilon binary metric allowing to compare two objective vectors as proposed in Zitzler E., Thiele L., Laumanns M., Fonseca C. M., Grunert da Fonseca V.: Performance Assessment of Multiobjective Optimizers: An Analysis and Review. IEEE Transactions on Evolutionary Computation 7(2), pp.117–132 (2003).

Definition at line 24 of file moeoAdditiveEpsilonBinaryMetric.h.

Member Function Documentation

  template<class ObjectiveVector> double moeoAdditiveEpsilonBinaryMetric< ObjectiveVector >::operator() (const ObjectiveVector & _o1, const ObjectiveVector & _o2) [inline]

Returns the minimal distance by which the objective vector _o1 must be translated in all objectives so that it weakly dominates the objective vector _o2.

Warning:
    don't forget to set the bounds for every objective before the call of this function

Parameters:
    _o1 the first objective vector
    _o2 the second objective vector

Definition at line 35 of file moeoAdditiveEpsilonBinaryMetric.h.

References moeoAdditiveEpsilonBinaryMetric< ObjectiveVector >::epsilon().

  template<class ObjectiveVector> double moeoAdditiveEpsilonBinaryMetric< ObjectiveVector >::epsilon (const ObjectiveVector & _o1, const ObjectiveVector & _o2, const unsigned int _obj) [inline, private]

Returns the epsilon value by which the objective vector _o1 must be translated in the objective _obj so that it dominates the objective vector _o2.

Parameters:
    _o1 the first objective vector
    _o2 the second objective vector
    _obj the index of the objective

Definition at line 64 of file moeoAdditiveEpsilonBinaryMetric.h.

References moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double >::bounds.

Referenced by moeoAdditiveEpsilonBinaryMetric< ObjectiveVector >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.